function EFFECT:Init(data)
	self.Start = data:GetOrigin()
	self.Emitter = ParticleEmitter(self.Start)
	local amount1 = 50
	local amount2 = 25
	for i = 1, amount1 do
		local w = self.Emitter:Add("effects/fleck_wood"..math.random(1,2), self.Start)
		if w then
			w:SetDieTime(math.Rand(1, 3))
			w:SetStartAlpha(255)
			w:SetEndAlpha(0)
			w:SetStartSize(3)
			w:SetEndSize(0)
			w:SetRoll(math.Rand(0, 360))
			w:SetRollDelta(math.Rand(-15, 15))
			w:SetAirResistance(50)
			w:SetColor(90,85,75)
			w:SetGravity(Vector(0,0,-200))
			w:SetCollide(true)	
			w:SetVelocity(Vector(math.Rand(-75,75), math.Rand(-75,75), math.Rand(0,130)))
			w:SetBounce(0.6)
		end
	end
	for i = 1, amount2 do
		local c = self.Emitter:Add("particle/particle_composite", self.Start)
		if c then
			c:SetDieTime(math.Rand(1, 2))
			c:SetStartAlpha(100)
			c:SetEndAlpha(0)
			c:SetStartSize(15)
			c:SetEndSize(25)
			c:SetRoll(math.Rand(150, 360))
			c:SetRollDelta(math.Rand(-1,1))
			c:SetAirResistance(80)
			c:SetVelocity(Vector(math.Rand(-50,50), math.Rand(-50,50), math.Rand(-50,100)))
			c:SetGravity(Vector(0, 0, -150))
			c:SetColor(142,107,72)
		end
	end
	self.Emitter:Finish()
end

function EFFECT:Think()
	return false
end

function EFFECT:Render()
end